Subject: [Suit] draft-urien-lwig-security-classes-00.txt

From: Pascal Urien <[email-masked]>
Date: Thu, 22 Nov 2018 18:38:58 +0100

Hi All

I have posted the draft,
https://www.ietf.org/id/draft-urien-lwig-security-classes-00.txt

Which is an enhanced/modified version of
https://tools.ietf.org/html/draft-urien-suit-security-classes-00

This draft attempts to define security classes for constraint IoT devices.
A device security is characterized by five Boolean security attributes: one
time programmable memory (OTP), firmware loader (FLD), secure firmware
loader (FLD-SEC), tamper resistant key (TRT-KEY) and diversified key
(DIV-KEY).
This leads to the definition of 6 classes of devices, embedding or not OTP
resource, whose security increases with the class number (0 to 5). The
suffix + indicates OTP availability

I reduced the number of security classes a tried to clarify the rationnal

Regards

Pascal Urien